package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.service.SmsTemplateInitApiService;
import com.gic.enterprise.service.SmsTemplateInitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 * 初始化会员卡的短信模板
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/7/8 11:17 AM 
 */
@Service("smsTemplateInitApiService")
public class SmsTemplateInitApiServiceImpl implements SmsTemplateInitApiService{
    @Autowired
    private SmsTemplateInitService smsTemplateInitService;

    @Override
    public ServiceResponse<Void> saveSmsTemplate(Long memberCardId) {
        smsTemplateInitService.saveSmsTemplate(memberCardId);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Boolean> hasInit(Long memberCardId) {
        return ServiceResponse.success(smsTemplateInitService.hasInit(memberCardId));
    }
}
