package com.gic.operation.web.controller;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.service.AppletCustomPageApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.operation.web.vo.AppletCustomPageVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
 * 小程序装修页面默认配置接口
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/8/2 3:55 PM 
 */
@RestController
@RequestMapping("/custom-page")
public class AppletCustomPageController {

    @Autowired
    private AppletCustomPageApiService appletCustomPageApiService;


    /**
     * 新增/编辑默认配置数据
     * @param param
     * @param pageId
     * @param saveType
     * @param appType
     * @param appId
     * @return
     */
    @RequestMapping("/save-default-page")
    public RestResponse saveDefaultPage(String param, Integer pageId, Integer saveType, Integer appType, String appId) {
        Integer enterpriseId = -1;
        return ResultControllerUtils.commonResult(
                appletCustomPageApiService.saveOrUpdate(param, pageId, enterpriseId, saveType, appType, appId));
    }

    @RequestMapping("/get-default-page")
    public RestResponse getDefaultPage(Integer pageType) {
        return ResultControllerUtils.commonResultOne(
                appletCustomPageApiService.getDefault(pageType), AppletCustomPageVO.class);
    }
}

